Hi Everyone
I have tried not to make this post. I have a Dell C600 (well actually 12 of them) one with FC6 2.6.20-1.2952.fc6 as an OS and ATI Technologies Inc Rage Mobility M3 AGP 2x (rev 02) for video hardware on all 12. I would like to use 2.6.20 on all (FC5 is just a little dated). Firefox and Google earth are just to slow with the open drivers. As far as I can see that leaves 8.28.8.

I read all the posts and installed all the packages. I make all the simbolic links and tried both the direct package install and the –buildpkg option. But I must have forgotten something. I just can't find it.

The output from the /use/share/fglrx/fglrx-install.log

[root@jimalap fglrx]# more fglrx-install.log
[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
ATI module generator V 2.0
==========================
initializing...
cleaning...
patching 'highmem.h'...
assuming new VMA API since we do have kernel 2.6.x...
Assuming default VMAP API
doing Makefile based build for kernel 2.6.x and higher
make -C /lib/modules/2.6.20-1.2952.fc6/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/kernels/2.6.20-1.2952.fc6-i686'
CC [M] /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:180: error: expected declaration specifiers or ‘...’ before ‘mlock’
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:180: error: expected declaration specifiers or ‘...’ before ‘addr’
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:180: error: expected declaration specifiers or ‘...’ before ‘len’
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:182: warning: return type defaults to ‘int’
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘_syscall2’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:182: error: expected declaration specifiers before ‘_syscall2’
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:215: error: parameter ‘__ke_debuglevel’ is initialized
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:216: error: parameter ‘__ke_moduleflags’ is initialized
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:219: error: storage class specified for parameter ‘__mod_author219’
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:219: error: parameter ‘__mod_author219’ is initialized
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:219: warning: ‘__used__’ attribute ignored
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:219: error: section attribute not allowed for ‘__mod_author219’
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:220: error: storage class specified for parameter ‘__mod_...

And The End Of The Install Log After Many Err And Warning Messages

/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:180: error: parameter name omitted
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:180: error: parameter name omitted
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:180: error: parameter name omitted
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:4049: error: expected ‘{’ at end of input
make[2]: *** [/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Error 1
make[1]: *** [_module_/lib/modules/fglrx/build_mod/2.6.x] Error 2
make[1]: Leaving directory `/usr/src/kernels/2.6.20-1.2952.fc6-i686'
make: *** [kmod_build] Error 2
build failed with return value 2
[Error] Kernel Module : Failed to compile kernel module - please consult readme.

It looks like firegl_public.o is missing something. I am at the end of what my meager coding abilities allow. If someone could point me in the right direction. I would much applicate it.

Thanks